void setup() {
  pinMode(6, INPUT_PULLUP); // set push button pin as input
  pinMode(0, OUTPUT);      // set LED pin as output
  digitalWrite(0, LOW);    // switch off LED pin
  Serial.begin(9600);       // initialize UART with baud rate of 9600 bps
}

void loop() {
  pinMode(5, INPUT);
  if (digitalRead(1) == LOW) { //if button is not pressed
    
    pinMode(5, OUTPUT);
    Serial.write('1');    // send the char '0' to serial
  }
  if (Serial.available()) {
    char data_rcvd = Serial.read();   // read one byte from serial buffer and save to data_rcvd
    if (data_rcvd == '1') {
      digitalWrite(0, HIGH); // switch LED On
      delay(500);
      digitalWrite(0, LOW);
    }
  }
}
